%global apiversion	0.1
%define major	1
%define libname	%mklibname e-book %{apiversion} %{major}
%define devname	%mklibname -d e-book

Name: libe-book
Version: 0.1.2
Release: %mkrel 10
Summary: A library for import of non-HTML reflowable e-book formats

Group: System/Libraries
License: MPLv2.0
URL: https://sourceforge.net/projects/libebook/
Source: http://downloads.sourceforge.net/libebook/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(zlib)

%description
%{name} is a library for import of reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT and Broad Band eBook (LRF).

%package -n %libname
Summary: A library for import of non-HTML reflowable e-book formats
Group: System/Libraries
Obsoletes: %{_lib}e-book0 < 0.0.3-2

%description -n %libname
%{name} is a library for import of reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT and Broad Band eBook (LRF).

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libe-book-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform e-books into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform e-books into other formats.
Currently supported: XHTML, raw, text.

%prep
%autosetup -p1

%build
export CPPFLAGS=-DBOOST_ERROR_CODE_HEADER_ONLY
%configure2_5x --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

export LD_LIBRARY_PATH=$(pwd)/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N -n 'convert e-book into HTML' -o ebook2html.1 ./src/conv/html/.libs/ebook2html
help2man -N -n 'convert e-book into plain text' -o ebook2text.1 ./src/conv/text/.libs/ebook2text
help2man -N -n 'debug the conversion library' -o ebook2raw.1 ./src/conv/raw/.libs/ebook2raw

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

mkdir -p %{buildroot}/%{_mandir}/man1
install -m 0644 ebook2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make check

%files -n %libname
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/ebook2raw
%{_bindir}/ebook2text
%{_bindir}/ebook2html
%{_mandir}/man1/ebook2html.1*
%{_mandir}/man1/ebook2raw.1*
%{_mandir}/man1/ebook2text.1*


%changelog
* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.1.2-10.mga6
+ Revision: 1093091
- Rebuild for icu-58.2

* Mon Sep 19 2016 tv <tv> 0.1.2-9.mga6
+ Revision: 1054321
- use %%license
- add man pages
- use %%autosetup
- update description
- fix license
- remove useless libwpd BR

* Sat May 14 2016 shlomif <shlomif> 0.1.2-8.mga6
+ Revision: 1015291
- Rebuild for the new UCI (new major)

* Fri May 13 2016 barjac <barjac> 0.1.2-7.mga6
+ Revision: 1015044
- Rebuild for ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.1.2-6.mga6
+ Revision: 917908
- rebuild for icu

* Fri Dec 25 2015 tv <tv> 0.1.2-5.mga6
+ Revision: 914735
- rebuild for new boost 1.60

* Fri Sep 25 2015 tv <tv> 0.1.2-4.mga6
+ Revision: 883499
- rebuild for new boost
- fix build with boost 1.59

* Wed Aug 26 2015 tv <tv> 0.1.2-3.mga6
+ Revision: 869840
- rebuild with gcc5

* Sat Jul 25 2015 cjw <cjw> 0.1.2-2.mga6
+ Revision: 857266
- rebuild for icu 55

* Sun Jun 21 2015 tv <tv> 0.1.2-1.mga6
+ Revision: 837836
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 740338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681435
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658637
- adjust file list
- fix install
- bump major
- new release

* Sat Apr 05 2014 wally <wally> 0.0.3-2.mga5
+ Revision: 611852
- fix lib pkg name
- rebuild for new icu

* Fri Feb 28 2014 tv <tv> 0.0.3-1.mga5
+ Revision: 597938
- new release

* Thu Feb 06 2014 tv <tv> 0.0.2-2.mga5
+ Revision: 584326
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.2-1.mga5
+ Revision: 584292
- imported package libe-book


* Thu Feb 06 2014 Thierry Vignaud <tv@mageia.org> 0.0.2-1.mga5
- initial import (from FC)
